Create, Update, and Remove Activities from the System Activity Sheet of a Specific Shell

POST /ws/rest/service/v2/activity/sheet/activities

Purpose

Create, update, and delete activities in the Activity Sheet of a shell for a project number specified in the input parameters.

The Activity API creates, updates, or removes activity data as follows:

  • Create: If the API request has activities for which the Activity ID is not present in the system, the Activity data will be created or added by the API request.
  • Update: If the API request has activities for which the Activity ID is present in the system, the Activity data will be updated by the API request.
  • Remove: In the API request options if the remove unreferenced data value passes as true, all the activities not present in the API request but present in Unifier will be removed.

Additional Information about P6 Activity Picker

  • • The P6 Activity Picker is supported when creating records through CSV import and RESTful services.
  • • When a P6/Oracle Primavera Cloud project is associated with the System Activity Sheet, the CSV template or the RESTful call accepts the following format for P6 Activity Picker value: <P6/Oracle Primavera Cloud Project ID> ~~ <Activity ID>

Prerequisites

  • For creating activities in the System Activity Sheet, the sourceProjectID should be configured using the Primavera Cloud Integration tab in the Shell Details.
  • For creating activities in the Manual Activity Sheet, the activity sheet should be created manually under the Activity Sheet sub-node.
  • For linking or associating activities to the WBS codes given in the request parameters, it is expected that the WBS codes are already created in the WBS Sheet either using WBS REST API manually, or integration.

    Note:

    • Validations are not implemented for the System Activity Sheet data in any of the API's assuming the data from the source system is sent properly.
    • If the System Activity Sheet does not exist in the shell, when a user uses this API, the system activity sheet will be created based on the options provided in the request.
    • If the WBS Sheet does not exist in the shell, the activities will not be assigned to the respective WBS Codes.

Request Format

Send an API request as a JSON Map with the following structure that includes one or more "data" JSON maps:

{

"options":{

"Source": "<value>", "project _number": "<value>", "activitySheetType": "<value>","activitySheetName": "<value>", "removeUnreferencedData": "<value>

},

"data":["activityId":"<value>", "activityName":"<value>"]

}

For the "options" JSON Map, the following fields and validations are applicable:

Request Parameters in "options" JSON Map

Field Name Required? Data Type Description
source Yes String

The external application or data from which Activities are pulled. For example, "Primavera" Cloud. Valid choices include: "Primavera Cloud", and "P6"

project_number Yes String A valid 'Active' Unifier shell number (a shell number into which project details are updated). For example, "P-0001".
sourceProjectId Yes String A Primavera Cloud Project Code. For example, "Msk-P1".
activitySheetType Yes String

Accepts only two value "systems."

This value indicates if the activity sheet type is system.

For Primavera Cloud and P6, it should be "system" as data needs to be inserted into the System Activity Sheet.

projectType Yes String The type of project in Unifier for which the Activities must be created. Allowed values are Current or Baseline.
removeUnreferencedData No Boolean

Accepts only true or false.

If this value is true, activities will be created & updated in the request body. Activities that do not exist in the current request data will be removed from the existing activity sheet.

If this value is false, any activities from the existing activity sheet will not be removed. Activities will be created from the request data if they do not exist and updated if they do exist.

If the attribute does not pass in the request, the default value is considered as false and the activity data that does not exist in the current API request data will not be removed.

Request Parameters in JSON Map "data"

The " data" - JSON List [], can contain one or more JSON Maps {"activityId":"<value>", "activityName":"<value>"}

The mandatory fields and respective validations are listed below.

Field Name Data Type Description
uuu_P6ActivityId String The ID or Activity code. This is expected to be unique for each activity in the activity sheet. For example, "A1000."
uuu_P6ActivityName String The name of the activity. For example, "Activity1."
bItemId String The full path of the CBS Code with entire hierarchy present in Cost Sheet. "~~" will be used as path separators for the hierarchy.

Response Format

A JSON object is returned in the following format.

{

"status" : <integer value> ,

"data" : [ ] ,

"messages": [ <list of string>] ,

"rest_audit_id": <id from the rest audit table matching this request>

}

Sample Request - POST Activity API

{

"options":{

"project_number":"P-0115",

"source":"Primavera Cloud",

"sourceProjectId":"ActivityManual",

"activitySheetType": "system",

"removeUnreferencedData": false,

"projectType": "Current"

},

"data":[ {

"uuu_P6ActivityId":"A1010",

"uuu_P6ActivityName":"sas",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00"

},

{

"uuu_P6ActivityId":"A1",

"uuu_P6ActivityName":"Asde",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00",

}

]

}

Sample Success Response

{

"data": [

{

"uuu_P6EACCost": "0.0",

"uuu_P6ScheduleVariance": "0.0",

"uuu_P6ActualTotalUnits": "0.0",

"uuu_P6ActualStart": "",

"uuu_P6AtCompletionTotalUnits": "1827.0",

"uuu_P6ActualDuration": "0.0",

"uuu_P6Finish": "2037-08-05T16:00:00",

"uuu_P6WBSName": "New WBS-1",

"uuu_P6WBSPath": "Msk-P1.1.11",

"uuu_P6CostVariance": "0.0",

"uuu_P6BAC": "1461600.0",

"uuu_P6RemainingEarlyFinish": "2037-08-05T16:00:00",

"uuu_P6PlannedFinish": "2037-08-05T16:00:00",

"uuu_P6EVCost": "0.0",

"id": 1482870,

"uuu_P6ActivityName": "sas",

"uuu_P6PlannedTotalCost": "1461600.0",

"uuu_P6ActivityType": "Task Dependent",

"uuu_P6ActualFinish": "",

"uuu_P6ETC": "1461600.0",

"uuu_P6RemainingTotalUnits": "1827.0",

"uuu_P6RemainingEarlyStart": "2030-08-06T08:00:00",

"uuu_P6ActivityId": "A1010",

"uuu_P6AtCompletionDuration": "1827.0",

"uuu_P6PercentComplete": "0.0",

"uuu_P6CPIndex": "0.0",

"uuu_P6WBSCode": "wbs-1",

"uuu_P6VAC": "0.0",

"uuu_P6PerfPercComplete": "0.0",

"uuu_P6RemainingTotalCost": "1461600.0",

"uuu_P6PlannedDuration": "1827.0",

"uuu_P6ActivityStatus": "Not Started",

"uuu_P6AtCompletionTotalCost": "1461600.0",

"uuu_P6PVCost": "0.0",

"uuu_P6SPIndex": "0.0",

"uuu_P6ActualTotalCost": "0.0",

"uuu_P6PlannedStart": "2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits": "1827.0",

"uuu_P6Start": "2030-08-06T08:00:00",

"uuu_P6RemainingDuration": "1827.0"

},

{

"uuu_P6EACCost": "0.0",

"uuu_P6ScheduleVariance": "0.0",

"uuu_P6ActualTotalUnits": "0.0",

"uuu_P6ActualStart": "",

"uuu_P6AtCompletionTotalUnits": "1827.0",

"uuu_P6ActualDuration": "0.0",

"uuu_P6Finish": "2037-08-05T16:00:00",

"uuu_P6WBSName": "New WBS-1",

"uuu_P6WBSPath": "Msk-P1.1.11",

"uuu_P6CostVariance": "0.0",

"uuu_P6BAC": "1461600.0",

"uuu_P6RemainingEarlyFinish": "2037-08-05T16:00:00",

"uuu_P6PlannedFinish": "2037-08-05T16:00:00",

"uuu_P6EVCost": "0.0",

"id": 1482871,

"uuu_P6ActivityName": "Asde",

"uuu_P6PlannedTotalCost": "1461600.0",

"uuu_P6ActivityType": "Task Dependent",

"uuu_P6ActualFinish": "",

"uuu_P6ETC": "1461600.0",

"uuu_P6RemainingTotalUnits": "1827.0",

"uuu_P6RemainingEarlyStart": "2030-08-06T08:00:00",

"uuu_P6ActivityId": "A1",

"uuu_P6AtCompletionDuration": "1827.0",

"uuu_P6PercentComplete": "0.0",

"uuu_P6CPIndex": "0.0",

"uuu_P6WBSCode": "wbs-1",

"uuu_P6VAC": "0.0",

"uuu_P6PerfPercComplete": "0.0",

"uuu_P6RemainingTotalCost": "1461600.0",

"uuu_P6PlannedDuration": "1827.0",

"uuu_P6ActivityStatus": "Not Started",

"uuu_P6AtCompletionTotalCost": "1461600.0",

"uuu_P6PVCost": "0.0",

"uuu_P6SPIndex": "0.0",

"uuu_P6ActualTotalCost": "0.0",

"uuu_P6PlannedStart": "2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits": "1827.0",

"uuu_P6Start": "2030-08-06T08:00:00",

"uuu_P6RemainingDuration": "1827.0"

}

],

"message": [

"success"

],

"status": 200,

"rest_audit_id": 20569

}

Sample Error Response when the Source Project ID is not given in the Request

An example of an invalid API request and response is provided below.

Sample Invalid Request

{

"options":{

"project_number":"P-0103",

"source":"Primavera Cloud",

"sourceProjectId":"ActSpread",

"activitySheetType": "system",

"removeUnreferencedData": false,

"activitySheetName1":"System Activity Sheet"

},

"data":[ {

"uuu_P6ActivityId":"",

"uuu_P6ActivityName":"Act1",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00"

},

{

"uuu_P6ActivityId":"A1001",

"uuu_P6ActivityName":"Act2",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00"

}

]

}

Sample Invalid Response

{

"data": [],

"message": [

"Empty value for mandatory field : uuu_P6ActivityId"

],

"status": 12029,

"rest_audit_id": 17155

}

Sample Error Response When Invalid activitySheetType Parameter is Given in the Request

An example of an invalid API request and response is provided below.

Sample Invalid Request

{

"options":{

"project_number":"P-0103",

"source":"Primavera Cloud",

"sourceProjectId":"ActSpread",

"activitySheetType": "system123",

"removeUnreferencedData": false,

"activitySheetName1":"System Activity Sheet"

},

"data":[ {

"uuu_P6ActivityId":"A1000",

"uuu_P6ActivityName":"Act1",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00"

},

{

"uuu_P6ActivityId":"A1001",

"uuu_P6ActivityName":"Act2",

"uuu_P6EACCost":"0.0",

"uuu_P6ScheduleVariance":"0.0",

"uuu_P6ActualTotalUnits":"0.0",

"uuu_P6ActualStart":"",

"uuu_P6AtCompletionTotalUnits":"1827.0",

"uuu_P6ActualDuration":"0.0",

"uuu_P6ActualFinish":"",

"uuu_P6WBSName":"New WBS-1",

"uuu_P6WBSCode" :"wbs-1",

"uuu_P6WBSPath":"Msk-P1.1.11",

"uuu_P6CostVariance":"0.0",

"uuu_P6BAC":"1461600.0",

"uuu_P6RemainingEarlyFinish":"2037-08-05T16:00:00",

"uuu_P6PlannedFinish":"2037-08-05T16:00:00",

"uuu_P6EVCost":"0.0",

"uuu_P6PlannedTotalCost":"1461600.0",

"uuu_P6ActivityType":"Task Dependent",

"uuu_P6ETC":"1461600.0",

"uuu_P6RemainingTotalUnits":"1827.0",

"uuu_P6RemainingEarlyStart":"2030-08-06T08:00:00",

"uuu_P6AtCompletionDuration":"1827.0",

"uuu_P6PercentComplete":"0.0",

"uuu_P6CPIndex":"0.0",

"uuu_P6VAC":"0.0",

"uuu_P6PerfPercComplete":"0.0",

"uuu_P6RemainingTotalCost":"1461600.0",

"uuu_P6PlannedDuration":"1827.0",

"uuu_P6ActivityStatus":"Not Started",

"uuu_P6AtCompletionTotalCost":"1461600.0",

"uuu_P6PVCost":"0.0",

"uuu_P6SPIndex":"0.0",

"uuu_P6ActualTotalCost":"0.0",

"uuu_P6PlannedStart":"2030-08-06T08:00:00",

"uuu_P6PlannedTotalUnits":"1827.0",

"uuu_P6Start":"2030-08-06T08:00:00",

"uuu_P6RemainingDuration":"1827.0",

"uuu_P6Finish":"2037-08-05T16:00:00"

}

]

}

Sample Invalid Response

{

"data": [],

"message": [

"Invalid value was found in a field: [activitySheetType]. Allowed values: [manual, system]"

],

"status": 12011,

"rest_audit_id": 17153

}

Supported Validation Messages and Status Codes

The following validation messages and status codes display in the response when incorrect values are provided in the request.

Field Name Use-Case Status Message
source source not given 12007 The API request is missing the required information: [source]
source

source value is not having value

'Primavera Cloud'

12008 Invalid value was found in a field: 'source'. Allowed values: [Primavera Cloud]
source source is having empty value 12035 The API request contains empty value for: [source]. Allowed values: [Primavera Cloud].
projectType projectType is empty/blank. 12144 The API request contains empty value for: [projectType].
projectType projectType is missing in payload. 12143 The API request is missing the required information: [projectType].
projectType Some invalid value except "Current"/"Baseline" passed in projectType 12145 Invalid value was found in a field: [projectType]. Allowed values: [Current, Baseline]
projectType Wrong data type(integer/boolean) value passed for projectType 12142 Invalid value was found in a field: [projectType]. Allowed only alphanumeric value.
projectType If projectType is "Baseline" and not configured. 12036 Invalid value was found in a field: [projectType]. Baseline not defined for this Project.
project_number project_number not given. 12018 The API request is missing the required information: [project_number].
project_number Invalid project_number 602 Project/Shell Number is not correct.
project_number Inactive project_number 1219 Project status is Inactive.
project_number project_number is empty/blank 12128 The API request contains empty value for: [project_number].
sourceProjectId If this sourceProjectId is not configured in the source Unifier shell 12021 The API request contains an invalid value: [sourceProjectId]. Please check if this sourceProjectId has been configured in Unifier.
sourceProjectId Invalid Special characters sourceProjectId 12022 The API request contains invalid characters in: [sourceProjectId]. The following characters are not allowed: / \ : * ? " < > | ' ="
sourceProjectId Blank sourceProjectId 12005 The API request is missing the required information: [sourceProjectId]
sourceProjectId Length of sourceProjectId 12014 Invalid value was found in a field: 'sourceProjectId'. Allowed length: [250]
activitySheetType Blank activitySheetType value 12010 The API request is missing the required information: [activitySheetType]
activitySheetType Accepting only "system", else throwing validation. 12011 Invalid value was found in a field: 'activitySheetType'. Allowed values: [system]
removeUnreferencedData Non boolean value provided in removeUnreferencedData 12031 Invalid value was found in a field: [removeUnreferencedData]. Allowed only boolean value.
uuu_P6ActivityId Activity Id exceeds 120 characters. 12003 Invalid value was found in a field: [uuu_P6ActivityId]. Allowed length: [120]. Activity Id: <Activity Id>
uuu_P6ActivityId Duplicate Activity ID exists in Sheet. 12001 Invalid value was found in a field: [uuu_P6ActivityId]. This uuu_P6ActivityId already exists. Activity Id: <Activity Id>
uuu_P6ActivityId If not provided in API 12009 The API request is missing the required information: [uuu_P6ActivityId]. Activity Id: <Activity Id>
uuu_P6ActivityId Activity Id cannot be blank. 12030 The API request contains an empty value for:[uuu_P6ActivityId].
uuu_P6ActivityName Activity Name exceeds 250 characters. 12002 Invalid value was found in a field: [uuu_P6ActivityName]. Allowed length: [250]. Activity Id: <Activity Id>
uuu_P6ActivityName Activity Name Missing in payload. 12004 The API request is missing the required information: [uuu_P6ActivityName].
uuu_P6ActivityName Activity Name cannot be blank. 12030 The API request contains an empty value for:[uuu_P6ActivityName].
bItemID Invalid costCode provided - (Non-String) or empty or null or blank 12609 Invalid value was found in a field: [bItemID]. Allowed only string values. Activity ID: <activityId>
bItemID costCode not existing in Cost Sheet 12610 Invalid value was found in a field [bItemID]. Allowed only the Cost codes present in Cost Sheet. Activity ID: <activityId>
bItemID Inactive costCode provided in the API request 12623 Invalid value was found in a field: [bItemID]. Allowed only active Cost codes. Activity ID: <activityId>
n/a In the Activity Sheet Detail Form in uDesigner, mandatory elements are missing. 12027 The API request is missing the required information: [ ].
n/a

In the Activity Sheet Detail Form in uDesigner, one or more mandatory elements are empty.

 

Along with this in uDesigner -> Activity Sheet Detail form all mandatory elements should not be empty else we need to throw error.

 

If any of the mandatory elements, referencing the uDesigner -> Activity Sheet Detail form, are missing.

12029 The API request contains an empty value for: [ ].